Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions.KernelControllerContextAction

    java.lang.Object
      org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction

All Implemented Interfaces:
  org.jboss.dependency.plugins.spi.action.ControllerContextAction

Direct Known Subclasses:
  KernelControllerContextActions.ConfigureAction, KernelControllerContextActions.DescribeAction, KernelControllerContextActions.InstallAction, KernelControllerContextActions.InstantiateAction, KernelControllerContextActions.LifecycleAction

Enclosing class:
  KernelControllerContextActions

public static class KernelControllerContextActions.KernelControllerContextAction
extends Object
implements org.jboss.dependency.plugins.spi.action.ControllerContextAction

Abstract action

Field Summary
`protected org.jboss.logging.Logger` | `log`

Constructor Summary
`KernelControllerContextActions.KernelControllerContextAction()`

Method Summary
`void` | `install(org.jboss.dependency.spi.ControllerContext context)`
`void` | `installAction(KernelControllerContext context)`
`void` | `uninstall(org.jboss.dependency.spi.ControllerContext context)`
`void` | `uninstallAction(KernelControllerContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

Constructor Detail

### KernelControllerContextActions.KernelControllerContextAction

    public KernelControllerContextActions.KernelControllerContextAction()

Method Detail

### install

    public void install(org.jboss.dependency.spi.ControllerContext context)
                 throws Throwable

  Specified by:
    `install` in interface `org.jboss.dependency.plugins.spi.action.ControllerContextAction`
  Throws:
    `Throwable`

### uninstall

    public void uninstall(org.jboss.dependency.spi.ControllerContext context)

  Specified by:
    `uninstall` in interface `org.jboss.dependency.plugins.spi.action.ControllerContextAction`

### installAction

    public void installAction(KernelControllerContext context)
                       throws Throwable

  Throws:
    `Throwable`

### uninstallAction

    public void uninstallAction(KernelControllerContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.